# Method Thread.Farm()->run()

Method run

  ``Result` run(`function`(:`void`) `f`, `mixed` ... `args`)`

Description

  Register a job for the thread farm.

Parameter `f`

  Function to call with @`args` to perform the job.

Parameter `args`

  The parameters for `f`.

Returns

  Returns a Result object for the job.

Note

  In Pike 7.8 and earlier this function was broken and returned a Result object that wasn't connected to the job.

See also

  run_async()